Suite

Installer QGIS avec le plugin GRASS sur Ubuntu ?

Installer QGIS avec le plugin GRASS sur Ubuntu ?


J'ai déjà essayé d'installer QGIS 2.8.3 en utilisant la procédure décrite sur : http://www.qgis.org/en/site/forusers/alldownloads.html#debian-ubunt, mais grass-plugin ne se compare pas sur la liste des plugins !

J'ai essayé les deux dépôts : ubuntugis ou debian, mais rien ! J'ai également nettoyé l'installation précédente de QGIS 2.6 (supprimer l'ancien ppa) sur mon UBUNTU 14.04.

Est-ce que quelqu'un me dit une nouvelle procédure complète et vérifiée (étape par étape) pour faire une bonne installation qui permet le grass-plugin (herbe 6 ou 7 c'est pareil) ?

Mise à jour il y a 19 ans : j'ai effectué exactement ces étapes (avant de nettoyer l'installation et les référentiels de previos):
sudo apt-get install python-software-properties
sudo add-apt-repository 'deb http://qgis.org/debian trusty main'
gpg --keyserver keyserver.ubuntu.com --recv DD45F6C3
gpg --export --armor DD45F6C3 | sudo apt-key ajouter -
sudo apt-get mise à jour
sudo apt-get install qgis python-qgis qgis-plugin-grass grass-gui grass-doc

J'ai donc correctement installé : QGIS 2.10.1, GRASS 6.4.2 et gras-plugin qui fonctionnent !! Mais… mystérieusement dans grass-toolbar : "ajouter une couche raster" et "ajouter une couche vectorielle" ne se comparent pas !!… Je ne comprends pas. Quel est le problème ?

En utilisant le référentiel 'http://qgis.org/debian trusty main', il est installé la version Qgis 2.10… si je ne me trompe pas !

Si c'est possible à la place, je veux installer Qgis 2.8.3 LTR avec grass-plugin fonctionnant (GRASS 6 ou 7, ce n'est pas important).


Pour installer les derniers QGIS stables et GRASS 6, j'utilise :

sudo apt-get install python-software-properties sudo add-apt-repository 'deb http://qgis.org/debian trusty main' gpg --keyserver keyserver.ubuntu.com --recv DD45F6C3 gpg --export --armor DD45F6C3 | sudo apt-key add - sudo apt-get update sudo apt-get install qgis python-qgis qgis-plugin-grass grass-gui grass-doc

Les codes clés sont extraits de la page QGIS. Vous devrez ensuite activer le plugin GRASS dans le menu des plugins QGIS. Vous pouvez envelopper cela dans un script d'installation afin que chaque fois que vous avez une nouvelle installation, vous puissiez exécuter le script que vous avez écrit précédemment, un exemple de mon propre est ici.


J'ai résolu le problème de cette façon…
Tout d'abord, j'ai supprimé tous les packages QGIS et ses dépendances, mais pas Herbe 6.4.3. !!
J'ai également changé le dépôt debian (dans /etc/apt/sources.list) de « deb http://qgis.org/debian trusty main » à « deb http://qgis.org/debian-ltr trusty main » (donc Je peux installer QGIS 2.8 LTR).
Ensuite, j'ai suivi ces étapes :

sudo rm -rf /var/lib/apt/lists/ sudo apt-get update sudo apt-get install qgis python-qgis qgis-plugin-grass

J'ai donc finalement installé, sur Ubuntu 14.04, QGIS 2.8.3 avec grass-plugin (pour Grass 6) fonctionne parfaitement !!